target: "quay.io/wandoubaba517"

images:
  - name: "openresty"
    from: "openresty/openresty"
    tags:
      - tag: "1.25.3.2-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "1.25.3.2-bookworm"
        platforms:
          - "linux/amd64"
          - "linux/arm64"

  - name: "golang"
    from: "golang"
    tags:
      - tag: "1.23.2"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "1.23"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "1.22.8"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "1.22"
        platforms:
          - "linux/amd64"
          - "linux/arm64"

  - name: "python"
    from: "python"
    tags:
      - tag: "3.13.0"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.13"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.12.7"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.12"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.11.10"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.11"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.10.15"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.10"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.9.20"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.9"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "2.7.18"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "2.7"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
          
  - name: "nacos-server"
    from: "nacos/nacos-server"
    tags:
      - tag: "v2.4.2"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "v2.3.2"
        platforms:
          - "linux/amd64"
      - tag: "v1.4.7"
        platforms:
          - "linux/amd64"

  - name: "zookeeper"
    from: "zookeeper"
    tags:
      - tag: "3.9.2"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.9"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.8.4"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.8"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.7.2"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.7"
        platforms:
          - "linux/amd64"
          - "linux/arm64"


  - name: "elasticsearch"
    from: "docker.elastic.co/elasticsearch/elasticsearch"
    tags:
      - tag: "7.17.18"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.14.2"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
  - name: "kibana"
    from: "docker.elastic.co/kibana/kibana"
    tags:
      - tag: "7.17.18"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.14.2"
        platforms:
          - "linux/amd64"
          - "linux/arm64"

  - name: "gitea"
    from: "gitea/gitea"
    tags:
      - tag: "1.22.3"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "1.22"
        platforms:
          - "linux/amd64"
          - "linux/arm64"

  - name: "grafana"
    from: "grafana/grafana"
    tags:
      - tag: "11.2.2"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "11.1.7"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "11.0.6"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "10.4.10"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "9.5.21"
        platforms:
          - "linux/amd64"
          - "linux/arm64"

  - name: "memcached"
    tags:
      - tag: "latest"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
          - "linux/mips64le"
      - tag: "1.6.31"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
          - "linux/mips64le"
      - tag: "1.6"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
          - "linux/mips64le"
      - tag: "1"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
          - "linux/mips64le"


  - name: "mongo"
    tags:
      - tag: "8.0.1"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.0"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.0.14"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.0"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "6.0.18"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "6.0"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "6"
        platforms:
          - "linux/amd64"
          - "linux/arm64"

  - name: "mysql"
    tags:
      - tag: "9.0.1"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "9.0"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "9"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.4.2"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.4"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.0.39"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.0"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "5.7.37"
        platforms:
          - "linux/amd64"
      - tag: "5.7"
        platforms:
          - "linux/amd64"
      - tag: "5.6.51"
        platforms:
          - "linux/amd64"
      - tag: "5.6"
        platforms:
          - "linux/amd64"

  - name: "pgadmin4"
    from: "dpage/pgadmin4"
    tags:
      - tag: "8.12"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.11"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.10"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.9"
        platforms:
          - "linux/amd64"
          - "linux/arm64"

  - name: "portainer-ce"
    from: "portainer/portainer-ce"
    tags:
      - tag: "latest"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "2.21.3-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "2.21.3"
        platforms:
          - "linux/amd64"
          - "linux/arm64"

  - name: "rabbitmq"
    tags:
      - tag: "4.0.2-management-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "4.0.2-management"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "4.0-management-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "4.0-management"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "4-management-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "4-management"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.13.7-management-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.13.7-management"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.13-management-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.13-management"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.12.14-management-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.12.14-management"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.12-management-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.12-management"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3-management-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3-management"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "4.0.2-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "4.0.2"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "4.0-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "4.0"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "4-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "4"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.13.7-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.13.7"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.13-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.13"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.12.14-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.12.14"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.12-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3.12"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "3"
        platforms:
          - "linux/amd64"
          - "linux/arm64"

  - name: "redis"
    tags:
      - tag: "7.4.1-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.4-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.2.6-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.2-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "6.2.16-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "6.2-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "6-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "5.0.5-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "5.0-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "5-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.4.1"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.4"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.2.6"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.2"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "6.2.16"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "6.2"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "6"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "5.0.5"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "5.0"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "5"
        platforms:
          - "linux/amd64"
          - "linux/arm64"


  - name: "postgres"
    tags:
      - tag: "14.13"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "14"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "15.8"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "15"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "16.4"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "16"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "17.0"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "17"
        platforms:
          - "linux/amd64"
          - "linux/arm64"


  - name: "php"
    tags:
      - tag: "8.3.12-fpm-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.3-fpm-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.2.24-fpm-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.2-fpm-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.1.30-fpm-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.1-fpm-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.0.30-fpm-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.0-fpm-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.4.33-fpm-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.4-fpm-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.3.12-cli-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.3-cli-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.2.24-cli-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.2-cli-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.1.30-cli-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.1-cli-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.0.30-cli-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.0-cli-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.4.33-cli-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.4-cli-alpine"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.3.12-fpm"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.3-fpm"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.2.24-fpm"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.2-fpm"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.1.30-fpm"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.1-fpm"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.0.30-fpm"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.0-fpm"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.4.33-fpm"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.4-fpm"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.3.12-cli"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.3-cli"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.2.24-cli"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.2-cli"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.1.30-cli"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.1-cli"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.0.30-cli"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "8.0-cli"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.4.33-cli"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "7.4-cli"
        platforms:
          - "linux/amd64"
          - "linux/arm64"

  - name: "composer"
    tags:
      - tag: "latest"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "2.8.1"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "2.8"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "2"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "2.7.9"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "2.7"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "2.2.24"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "2.2"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "1.10.27"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "1.10"
        platforms:
          - "linux/amd64"
          - "linux/arm64"
      - tag: "1"
        platforms:
          - "linux/amd64"
          - "linux/arm64"


  - name: "nginx"  
    tags:  
      - tag: "latest"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "1.27.2-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "1.27-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "1.26.2-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "1.26-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "1.24.0-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "1.24-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "1.27.2"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "1.27"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "1.26.2"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "1.26"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "1.24.0"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "1.24"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  

  - name: "node"  
    tags:  
      - tag: "22.9.0-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"
      - tag: "22.9-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"
      - tag: "22-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"
      - tag: "22.9.0"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "22.9"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "22"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "20.18.0-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "20.18-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "20-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "20.18.0"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "20.18"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "20"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "18.20.4-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "18.20-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "18-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "18.20.4"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"
      - tag: "18.20"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"
      - tag: "18"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"
      - tag: "16.20.2-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "16.20-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "16-alpine"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"  
      - tag: "16.20.2"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"
      - tag: "16.20"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"
      - tag: "16"  
        platforms:  
          - "linux/amd64"  
          - "linux/arm64"
